local BOX_COUNT=400
 
MyBox = Core.class(Sprite)
 
local engine
 
function MyBox:init(size, id)
	self.id=id
 
	local shape=Shape.new()
	shape:beginPath()
	shape:setFillStyle(Shape.SOLID, math.random(0xff0000))
	shape:moveTo(0, 0)
	shape:lineTo(size, 0)
	shape:lineTo(size, size)
	shape:lineTo(0, size)
	shape:closePath()
	shape:endPath()
	self:addChild(shape)
 
	self:addEventListener(Event.TOUCHES_BEGIN, engine.onTouchBegin, engine)
	self:addEventListener(Event.TOUCHES_END, engine.onTouchEnd, engine)
end
 
Engine=Core.class()
 
local sound = Sound.new('1.mp3') 
local hit = Sound.new('2.mp3') 
 
function Engine:init()
	engine=self
	for i=1, BOX_COUNT do
		local x=math.random(application:getContentWidth())
		local y=math.random(application:getContentHeight())
		local box=MyBox.new(30, i)
		stage:addChild(box)
		box:setPosition(x, y)
	end
end
 
function Engine:onTouchBegin(event)
	local target=event:getTarget()
	if target:hitTestPoint(event.touch.x, event.touch.y) and not(target.touchId) then
		-- Remember the touch id as a focus indicator. 
		-- This allows you to track different fingers if you need to.
		target.touchId=event.touch.id
		print("pressed box", target.id)
		--target:setScale(0.5)
		target:removeFromParent()
		
		sound:play()
		hit:play()
		
		event:stopPropagation()
	end
end
 
function Engine:onTouchEnd(event)
	local target=event:getTarget()
	if target.touchId==event.touch.id then
		print("released box", target.id)
		target:setScale(1)
		target.touchId=nil
		event:stopPropagation()
	end
end
 
Engine.new()